import { IDataDefinition } from "../../../Common/Data/Definitions/IDataDefinition";
import { IConfigStorage } from "../../../Common/IConfigStorage";
import { ValidationIssue } from "../../../Common/IDesignValidationProvider";
export declare class ResultCell implements IConfigStorage {
    _columnId: string;
    value: any;
    constructor(columnId: string);
    getStorageData(): object;
    setStorageData(data: object): void;
    validateCellData(datadef: IDataDefinition): ValidationIssue[];
}
